Updating your Flash

In order to run the new client, a specific flash version is required. If a compatible version is not found,
the new client will prompt an installation of the flash software for it to be updated.
 

To install the Flash Software manually, follow these easy steps below:

  1. Go to site : https://get.adobe.com/flashplayer/otherversions/
  2. Select the current OS version of your PC of the player.
  3. Then select FP 20 for firefox -- NPAPI.
  4. Download Now
  5. Install